import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading GenericToBrotherPJMediaSensorType Converter")

class GenericToBrotherPJMediaSensorType(Converter):

    def Execute(self, args):
        res = ""
        if args[0] == "None":
            res = 85
        elif args[0] == "Gap":
            res = 170
        elif args[0] == "Mark":
            res = 255
        return res




plugin = GenericToBrotherPJMediaSensorType("GenericToBrotherPJMediaSensorType")

store.AddConverter(plugin)